---
key_path: counts.count_total_detect_secret_type_on_push_weekly
description: Weekly count of types of secrets detected by Secret Push Protection
product_group: secret_detection
performance_indicator_type: []
value_type: number
status: active
milestone: '17.2'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/155911
time_frame: 7d
data_source: internal_events
data_category: optional
distribution:
- ee
tiers:
- ultimate
events:
- name: detect_secret_type_on_push
